Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class IMP_LIMITHelper

    java.lang.Object
      |
      +--org.omg.CORBA.IMP_LIMITHelper

public class IMP_LIMITHelper
extends java.lang.Object

Helper class for : IMP_LIMIT

Author:
  OpenORB Compiler

Constructor Summary
`IMP_LIMITHelper()`

Method Summary
`static IMP_LIMIT` | `extract(Any a)` Extract IMP_LIMIT from an any
`static java.lang.String` | `id()` Return the IMP_LIMIT IDL ID
`static void` | `insert(Any a, IMP_LIMIT t)` Insert IMP_LIMIT into an any
`static IMP_LIMIT` | `read(InputStream istream)` Read IMP_LIMIT from a marshalled stream
`static TypeCode` | `type()` Return the IMP_LIMIT TypeCode
`static void` | `write(OutputStream ostream, IMP_LIMIT value)` Write IMP_LIMIT into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMP_LIMITHelper

    public IMP_LIMITHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IMP_LIMIT t)

  Insert IMP_LIMIT into an any
  Parameters:
    `a` - an any
    `t` - IMP_LIMIT value

### extract

    public static IMP_LIMIT extract(Any a)

  Extract IMP_LIMIT from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IMP_LIMIT value

### type

    public static TypeCode type()

  Return the IMP_LIMIT TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IMP_LIMIT IDL ID
  Returns:
    an ID

### read

    public static IMP_LIMIT read(InputStream istream)

  Read IMP_LIMIT from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IMP_LIMIT value

### write

    public static void write(OutputStream ostream,
                             IMP_LIMIT value)

  Write IMP_LIMIT into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IMP_LIMIT value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD